Commit f909a892 authored by David Morley's avatar David Morley Committed by GitHub

doc clean (#124)

parent e12fbb18
......@@ -13,6 +13,7 @@ dnsutils
bind9
npm
nodejs nodejs-legacy
composer
```
To Install:
......@@ -21,6 +22,7 @@ git clone https://github.com/diasporg/Poduptime.git
cd Poduptime
sudo npm install -g bower
bower install
composer install
cp config.php.example config.php
```
......@@ -50,6 +52,7 @@ To Upgrade:
cd Poduptime
git pull
bower install
composer install
psql -u podupuser podupdb < db/migrationx.sql (see db/version.md for proper migration version)
```
......
If new install import tables.sql
If new install import tables.sql and do not perform migrations
If upgrading migrations are:
v1.0 -> v2.0 = migration00001.sql
v2.0 -> v2.1 = migration00002.sql
To support the original apiv1 you should import:
pods_apiv1.sql
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment